using LHDN.CRM.BC.Common;
using LHDN.CRM.Web.Controllers;
using LHDN.CRM.Web.Filters;
using LHDN.CRM.Models.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using LHDN.CRM.BC.Services;

namespace LHDN.CRM.Web.Areas.TaxPayer.Controllers
{
    public class ProfileController : BaseController
    {
        private TaxPayerService svcTP = new TaxPayerService();

        // GET: TaxPayer/Profile
        [CRMAuthorize(Constant.Authentication.TaxPayer.BiasaAllBranch,Constant.Authentication.TaxPayer.BiasaOwnBranch,Constant.Authentication.TaxPayer.VIPAllBranch,Constant.Authentication.TaxPayer.VIPOwnBranch)]
        public ActionResult Detail(string id)
        {
            ViewBag.TaxPayerId = id;

            AddAntiforgeryToken();
            svcTP.GetById(Convert.ToInt64(id));
            // string a = HttpRuntime.Cache.Get("TestCache").ToString();

            return View("Index");
        }
    }
}